Restore Archived Transactions
post
/rest/v19/commerceDocumentsOraclecpqoTransaction/actions/_restore_archived_transactions
Use this endpoint to restore the specified archived transactions. Note: This action is only available for CPQ administrators with superuser access.
Request
Supported Media Types
- application/json
Root Schema : commerceDocumentsOraclecpqoTransaction-_restore_archived_transactionsCollectionRequest
Type:
Show Source
object-
selectionCriteria:
object Archived items selection Query Definition
Title:
Archived items selection Query DefinitionCaptures the transaction ids of archived transactions
Nested Schema : Archived items selection Query Definition
Type:
objectTitle:
Archived items selection Query DefinitionCaptures the transaction ids of archived transactions
Show Source
-
ids:
array ids
Array of transaction ids.
Response
Supported Media Types
- application/json
Default Response
Root Schema : commerceDocumentsOraclecpqoTransaction-_restore_archived_transactionsCollectionResponse
Type:
objectExamples
The following example shows how to restore the specified archived transactions by submitting a POST request to the REST resource using cURL. For more information about cURL, see Use cURL.
curl -X POST -H "Authorization: Bearer <token>" -H "Accept: application/json" https://sitename.oracle.com/rest/v19/commerceDocumentsOraclecpqoTransaction/actions/_restore_archived_transactions
Request Body Sample
{
"selectionCriteria":{
"ids":[18007731,18007790,18005157]
}
}